ForEach (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.logic

## Class ForEach

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.logic.ForEach

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ForEach
      extends org.apache.tools.ant.Task

  Task definition for the foreach task. The foreach task iterates over a list, a list of filesets, or both.

       Usage:

         Task declaration in the project:

           <taskdef name="foreach" classname="net.sf.antcontrib.logic.ForEach" />

         Call Syntax:

           <foreach list="values" target="targ" param="name"
                       [parallel="true|false"]
                       [delimiter="delim"] />

         Attributes:
               list      --> The list of values to process, with the delimiter character,
                             indicated by the "delim" attribute, separating each value
               target    --> The target to call for each token, passing the token as the
                             parameter with the name indicated by the "param" attribute
               param     --> The name of the parameter to pass the tokens in as to the
                             target
               delimiter --> The delimiter string that separates the values in the "list"
                             parameter.  The default is ","
               parallel  --> Should all targets execute in parallel.  The default is false.
               trim      --> Should we trim the list item before calling the target?

  Author:
    Matthew Inger

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEach()` Default Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileset(org.apache.tools.ant.types.FileSet set)` Deprecated. Use createPath instead.
    `void` | `addParam(org.apache.tools.ant.taskdefs.Property p)` Corresponds to `<antcall>`'s nested `<param>` element.
    `void` | `addReference(org.apache.tools.ant.taskdefs.Ant.Reference r)` Corresponds to `<antcall>`'s nested `<reference>` element.
    `org.apache.tools.ant.types.Mapper` | `createMapper()`
    `org.apache.tools.ant.types.Path` | `createPath()`
    `void` | `execute()`
    `protected void` | `handleErrorOutput(java.lang.String line)`
    `protected void` | `handleOutput(java.lang.String line)`
    `void` | `setDelimiter(java.lang.String delimiter)`
    `void` | `setInheritall(boolean b)` Corresponds to `<antcall>`'s `inheritall` attribute.
    `void` | `setInheritrefs(boolean b)` Corresponds to `<antcall>`'s `inheritrefs` attribute.
    `void` | `setList(java.lang.String list)`
    `void` | `setMaxThreads(int maxThreads)` Set the maximum amount of threads we're going to allow at once to execute
    `void` | `setParallel(boolean parallel)`
    `void` | `setParam(java.lang.String param)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setTrim(boolean trim)`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleFlush, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEach

          public ForEach()

      Default Constructor

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### setTrim

          public void setTrim(boolean trim)

    - #### setList

          public void setList(java.lang.String list)

    - #### setDelimiter

          public void setDelimiter(java.lang.String delimiter)

    - #### setParam

          public void setParam(java.lang.String param)

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### setParallel

          public void setParallel(boolean parallel)

    - #### setInheritall

          public void setInheritall(boolean b)

      Corresponds to `<antcall>`'s `inheritall` attribute.

    - #### setInheritrefs

          public void setInheritrefs(boolean b)

      Corresponds to `<antcall>`'s `inheritrefs` attribute.

    - #### setMaxThreads

          public void setMaxThreads(int maxThreads)

      Set the maximum amount of threads we're going to allow at once to execute
      Parameters:
        `maxThreads` -

    - #### addParam

          public void addParam(org.apache.tools.ant.taskdefs.Property p)

      Corresponds to `<antcall>`'s nested `<param>` element.

    - #### addReference

          public void addReference(org.apache.tools.ant.taskdefs.Ant.Reference r)

      Corresponds to `<antcall>`'s nested `<reference>` element.

    - #### addFileset

          public void addFileset(org.apache.tools.ant.types.FileSet set)

      Deprecated. Use createPath instead.

    - #### createPath

          public org.apache.tools.ant.types.Path createPath()

    - #### createMapper

          public org.apache.tools.ant.types.Mapper createMapper()

    - #### handleOutput

          protected void handleOutput(java.lang.String line)

      Overrides:
        `handleOutput` in class `org.apache.tools.ant.Task`

    - #### handleErrorOutput

          protected void handleErrorOutput(java.lang.String line)

      Overrides:
        `handleErrorOutput` in class `org.apache.tools.ant.Task`